Skip to Content
veriom

Get audit comparison

GET
/v1/workspaces/{workspace_id}/repositories/{repository_id}/comparisons/{comparison_id}

Authorization

workspaceToken
headerAuthorizationBearer <vat_<opaque-token>>

Expiring, hashed workspace token with explicit scopes.

Path Parameters

workspace_id*Workspace Id
Formatuuid
repository_id*Repository Id
Formatuuid
comparison_id*Comparison Id
Formatuuid

Response Body

Successful Response

application/json
  1. response
content_sha256*Content Sha256
created_at*Created At
Formatdate-time
id*Id
Formatuuid
repository_id*Repository Id
Formatuuid
snapshot*
workspace_id*Workspace Id
Formatuuid
Example Request
curl -X GET 'https://api.veriom.ai/v1/workspaces/497f6eca-6276-4993-bfeb-53cbbbba6f08/repositories/497f6eca-6276-4993-bfeb-53cbbbba6f08/comparisons/497f6eca-6276-4993-bfeb-53cbbbba6f08'
Example Response
{  "content_sha256": "string",  "created_at": "2019-08-24T14:15:22Z",  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",  "repository_id": "b349ae61-b973-4c6c-a5e0-89183ba99ff3",  "snapshot": {    "architecture_changes": [      {        "evidence_ids": [          "string"        ],        "key": "string",        "name": "string",        "operation": "string",        "source_key": "string",        "subject": "string",        "target_key": "string"      }    ],    "architecture_comparable": true,    "baseline": {      "audit_id": "78c04fa6-cfb4-46a0-9aa5-3681ba4f3897",      "branch_ref": "string",      "commit_sha": "string",      "completed_at": "2019-08-24T14:15:22Z",      "limitations": [        "string"      ],      "report_id": "5ed7905a-4735-4cf7-b1ab-521e066fb971",      "report_revision": 0,      "reviewed_findings": 0,      "source_scope": {        "exclude_paths": [          "string"        ],        "include_paths": [          "string"        ]      },      "source_sha256": "string",      "successful_tools": [        "string"      ],      "unreviewed_observations": 0    },    "candidate": {      "audit_id": "78c04fa6-cfb4-46a0-9aa5-3681ba4f3897",      "branch_ref": "string",      "commit_sha": "string",      "completed_at": "2019-08-24T14:15:22Z",      "limitations": [        "string"      ],      "report_id": "5ed7905a-4735-4cf7-b1ab-521e066fb971",      "report_revision": 0,      "reviewed_findings": 0,      "source_scope": {        "exclude_paths": [          "string"        ],        "include_paths": [          "string"        ]      },      "source_sha256": "string",      "successful_tools": [        "string"      ],      "unreviewed_observations": 0    },    "counts": {      "property1": 0,      "property2": 0    },    "coverage_comparable": true,    "findings": [      {        "baseline": {          "affected_entity_keys": [            "string"          ],          "disposition": "string",          "evidence_ids": [            "string"          ],          "fingerprint": "string",          "historical_score_available": true,          "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",          "locations": [            {}          ],          "reason": "string",          "risk": 0,          "severity": "string",          "source_tools": [            "string"          ],          "title": "string"        },        "candidate": {          "affected_entity_keys": [            "string"          ],          "disposition": "string",          "evidence_ids": [            "string"          ],          "fingerprint": "string",          "historical_score_available": true,          "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",          "locations": [            {}          ],          "reason": "string",          "risk": 0,          "severity": "string",          "source_tools": [            "string"          ],          "title": "string"        },        "explanation": "string",        "fingerprint": "string",        "status": "introduced"      }    ],    "limitations": [      "string"    ]  },  "workspace_id": "0967198e-ec7b-4c6b-b4d3-f71244cadbe9"}